Retrieve a task by ID. Use the select query parameter to specify which fields to include. Access: OPS, SVC, VENDOR, CLIENT.
The task ID.
Optional select statement to filter fields.
OK
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsBUY-1190-0394Buyer Account/public/v1/accounts/buyers/BUY-1190-0394/iconParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferProgress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27Not Found
GET /public/v1/system/tasks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Completed",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"progress": 100,
"owner": {
"id": "SVC-0001",
"name": "platform"
},
"result": "/public/v1/accounts/buyers/BUY-1190-0394",
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
],
"audit": {
"created": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
},
"updated": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
}
}
}